package com.brilliance.isc.swift.objmtconvert.model.mt7xx.tag.tag765;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt7xx.MT765Creator;

public class Tag49ACreator extends AbsTagCreate {
    private MT765Creator mt765Creator;

    public Tag49ACreator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt765Creator= (MT765Creator) absMTCreator;
    }

    public  void creator()
    {
        String tag49AValue = mt765Creator.getDemandStatement();
        mt765Creator.set("49A", tag49AValue);
    }
}
